2019-06-21 00:47 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002616NetSurfFramebuffer-specificpublic2019-02-16 09:38
ReporterAnthony J. Bentley 
Assigned ToVincent Sanders 
SeverityminorReproducibilityalways 
StatusresolvedResolutionfixed 
Product Version3.8 
Target Version3.9Fixed in Version3.9 
Summary0002616: netsurf-fb warns about missing Messages
DescriptionRevision 6cabd4cd628833afa32aeb7c614ef153b4a1c985 removed the Messages file from the netsurf-fb install:

"remove spurious messages file from framebuffer install target"

As a result, netsurf-fb gives a warning on startup: "Message translations failed to load"

frontends/framebuffer/gui.c: messages = filepath_find(respaths, "Messages");
TagsNo tags attached.
Fixed in CI build #4535
Reported in CI build #
URL of problem page
Attached Files

-Relationships
has duplicate 0002628closed running nsfb always give error 
+Relationships

-Notes
Anthony J. Bentley

~0001876

Anthony J. Bentley (reporter)

I don’t think 0002628 is a duplicate. In that bug the framebuffer fails to initialize and the browser doesn’t start. In this bug there is only a warning message, but the browser itself works fine.
Vincent Sanders

~0001877

Vincent Sanders (administrator)

fixed the case of the installed messages file which fixes the bug
+Notes

-Issue History
Date Modified Username Field Change
2018-09-18 07:29 Anthony J. Bentley New Issue
2019-02-16 08:59 Vincent Sanders Status new => confirmed
2019-02-16 08:59 Vincent Sanders Target Version => 3.9
2019-02-16 09:00 Vincent Sanders Relationship added has duplicate 0002628
2019-02-16 09:10 Anthony J. Bentley Note Added: 0001876
2019-02-16 09:38 Vincent Sanders Assigned To => Vincent Sanders
2019-02-16 09:38 Vincent Sanders Status confirmed => resolved
2019-02-16 09:38 Vincent Sanders Resolution open => fixed
2019-02-16 09:38 Vincent Sanders Fixed in Version => 3.9
2019-02-16 09:38 Vincent Sanders Fixed in CI build # => 4535
2019-02-16 09:38 Vincent Sanders Note Added: 0001877
+Issue History